<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:motPST="http://pcs.motorola.com/PST"
	version="1.0"
>
  <xsl:template match="/motPST:flashInfo">
    <html>
      <head>
        <style>
          body, td, th { font-family:Verdana, Arial, helvetica, sans-serif; font-size:x-small; }
          h2 { font-size: x-small; border-bottom: 1px solid black; margin: 2pt; }
        </style>
      </head>
      <body style="background: #eee">
        <h1 style="font-size: x-small; text-align: center; margin: 2pt;"><xsl:value-of select="carrier" /></h1>
        <div style="text-align: center"><xsl:value-of select="carrier/@internalName" /></div>
        <xsl:apply-templates select="phoneModels" />
      </body>
    </html>
  </xsl:template>
  <xsl:template match="phoneModels">
	<table>
	<xsl:for-each select="phoneModel">
	  <tr>
	  <td rowspan="2" align="center" style="background: #fff; border: 1px solid black; padding: 8px;"><img src="{imageURL}" /><br />
	  <strong><xsl:value-of select="@displayName" /></strong>
	  </td>
	  <td>
	    <xsl:apply-templates select="phoneIDString" />
	  </td>
	  </tr>
	  <tr>
	  <td>
	    <xsl:apply-templates select="UpgradeRecipe/recipes" />
	  </td>
	  </tr>
	</xsl:for-each>
	</table>
  </xsl:template>
  <xsl:template match="phoneIDString">
    <h2 style="font-size: x-small; border-bottom: 1px solid black; margin: 2pt;">Matching configs</h2>
	<xsl:for-each select="stringValue">
	  <table>
	    <tr>
	      <th>firmware</th><td><xsl:value-of select="@firmware" /></td>
	      <th style="padding-left: 1em">flex</th><td><xsl:value-of select="@flex" /></td>
	      <th style="padding-left: 1em">lang</th><td><xsl:value-of select="@lang" /></td>
	      <th style="padding-left: 1em">kjava</th><td><xsl:value-of select="@kjava" /></td>
	    </tr>
	  </table>
	</xsl:for-each>
  </xsl:template>
  <xsl:template match="UpgradeRecipe/recipes">
    <h2 style="font-size: x-small; border-bottom: 1px solid black; margin: 2pt;">Upgrade</h2>
	<table>
	<xsl:for-each select="recipe/steps/Step">
	  <tr>
	  <td>
	  <a href="{@fileURL}"><xsl:value-of select="@sequence" /></a>
	  </td>
	  </tr>
	</xsl:for-each>
	</table>
  </xsl:template>
</xsl:stylesheet>